Ability to set landing page after login

2010-09-22 23:49 - Jos Accapadi

Status: Closed Start date: 2010-09-22

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Core Plugins Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

We'd like to request the ability to set the landing page people see when logging in, configurable on a per user or per project basis

(set by user), or globally by groups or system wide set by the admin user or manager-role.

For example, we use the Stuff-To-Do module, it would be nice to have our developers land on that page when logging in, as it is the

most useful to them, but in some cases others might want to land on a project issues page.

I'm guessing this could be done via a plugin, but if others like it might be a valuable core feature.

Related issues:

Related to Redmine - Feature #1233: change default homepage to My page New 2008-05-13

Has duplicate Redmine - Feature #664: User can choose what page he want's to ... New 2008-02-14

History

#1 - 2010-09-24 13:33 - Sebastian M.

+1

#2 - 2011-02-14 12:14 - ross lazarus

+1

The ability to control the page a user sees when opening a (sub)project would be a real boon for us as a general (eg settings) item.

Typical use case: We have subprojects that are ONLY wikis - no isses or anything else - so our users only want to see the main wiki page on opening

the subproject. We link the wiki on the overview page that always appears by default but that's one more click than anyone really wants!

#3 - 2011-03-11 21:26 - random tao

agreed, we would like to assign default project for users, so when they login they go there.

#4 - 2011-12-02 20:36 - Anonymous

+1

#5 - 2011-12-29 16:29 - Igor Zubkov

I have wrote plugin for this. https://github.com/biow0lf/redmine_landing_page

Also, I can make patch for redmine based on this plugin. Any one instructing in this?

#6 - 2011-12-29 16:33 - Igor Zubkov

Igor Zubkov wrote:

Also, I can make patch for redmine based on this plugin. Any one instructing in this?

 *interesting

#7 - 2012-01-11 09:24 - Jos Accapadi

The plugin method works fine for us until such time as it can be an official part of core.  We are trying to avoid patches except where critical because

we don't have the change control needed yet to ensure on every upgrade the patches move forward with the upgrade.

A couple things to note, a person could set the landing page, such that redmine constantly redirects to itself, or to some non-related url.  Don't ask me
who would do it, because I'm sure there is someone out there that would or mistype something and it goes somewhere else.  :)  So some validation

checking on if what they enter exists, and some restriction on where it could go to.

If someone does enter the wrong item, the admin of course can always clean it up.  But do we really want to bug the admins?  :)

On the per project basis, it overrides the Overview tab, meaning if for example the landing page of the project is set to the Wiki page of the project,

and you click the Overview tab, it takes you always to the wiki.  I think users still should be able to go to overview, but if they select the projects from

the project drop down or Projects link list.

For now it works for us.

#8 - 2013-02-09 02:54 - Filou Centrinov

Duplicate: #664

#9 - 2013-02-09 06:55 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

Filou Centrinov wrote:

Duplicate: #664

 Thank you for your pointing.

#10 - 2014-05-14 18:35 - Nathan Eddle

Does the plugin still work?

#11 - 2014-10-09 17:34 - Filou Centrinov

- Related to Feature #1233: change default homepage to My page added

#12 - 2020-08-20 20:36 - Aleksandar Pavic

+1

IMHO it's best to implement features from https://github.com/biow0lf/redmine_landing_page

to the core.

#13 - 2020-08-23 15:56 - Yuuki NARA

+1

redmine_landing_page is convenient , because we can set the user and project initial page.

I fixed a DB migration error in Redmine 4.1.

git clone https://github.com/y503unavailable/redmine_landing_page -b redmine-4

#14 - 2024-05-13 11:39 - popy popy

Hey guys, thx for the plugin!

I fixed the patching code for redmine 5

git clone https://github.com/popy2k14/redmine_landing_page -b redmine-5
